import 'package:json_annotation/json_annotation.dart';

import '../../../api_params.dart';

part 'set_read_marker_params.g.dart';

@JsonSerializable()
class SetReadMarkerParams extends ApiParams {
  int? lastReadMessage;

  SetReadMarkerParams({this.lastReadMessage});

  factory SetReadMarkerParams.fromJson(Map<String, dynamic> json) =>
      _$SetReadMarkerParamsFromJson(json);
  Map<String, dynamic> toJson() => _$SetReadMarkerParamsToJson(this);
}
